<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Name: GEBB Encounter Activity
Description: Encounter Activities
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000">
   <title>GEBB Encounter Activity</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]
Item: (gebb-EncounterActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']"
         id="tmp-r-f12df028-64c2-4a2e-88d1-56fc75aa098f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@classCode)=('ENC')">(gebb-EncounterActivity): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@moodCode)=('EVN')">(gebb-EncounterActivity): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/@nullFlavor)">(gebb-EncounterActivity): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1'])&lt;=1">(gebb-EncounterActivity): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(gebb-EncounterActivity): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:id)&lt;=1">(gebb-EncounterActivity): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:code)&lt;=1">(gebb-EncounterActivity): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(gebb-EncounterActivity): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(gebb-EncounterActivity): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']"
         id="tmp-r-a57cdd66-bd65-4dd1-b756-2d2d133dbd7c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.2.10.1')">(gebb-EncounterActivity): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.2.10.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:id
Item: (gebb-EncounterActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:code
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:code"
         id="tmp-r-ab779256-ef17-459d-9362-63d51c04ef50">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:originalText)&lt;=1">(gebb-EncounterActivity): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:code/hl7:originalText
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:code/hl7:originalText"
         id="tmp-r-b1aac39a-c3eb-4744-a9a6-6b0981fa5f91">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:reference)&lt;=1">(gebb-EncounterActivity): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:code/hl7:originalText/hl7:reference
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:code/hl7:originalText/hl7:reference"
         id="tmp-r-2330b520-820f-4dd3-a667-9a7789607c12">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(gebb-EncounterActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="@value">(gebb-EncounterActivity): attribute @value MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:effectiveTime
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:effectiveTime"
         id="tmp-r-66f82837-3284-4f96-adfc-4e668b043c5b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:low)&gt;=1 ">(gebb-EncounterActivity): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:low)&lt;=1">(gebb-EncounterActivity): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:high)&lt;=1">(gebb-EncounterActivity): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:effectiveTime/hl7:low
Item: (gebb-EncounterActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:effectiveTime/hl7:high
Item: (gebb-EncounterActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer
Item: (gebb-EncounterActivity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer"
         id="tmp-r-0ff89c6b-ba32-431d-8be4-5b53a0a90a92">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@typeCode)=('PRF') or not(@typeCode)">(gebb-EncounterActivity): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:time)&lt;=1">(gebb-EncounterActivity): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:modeCode)&lt;=1">(gebb-EncounterActivity): element hl7:modeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(gebb-EncounterActivity): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(gebb-EncounterActivity): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9012
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:time
Item: (CDAPerformerBody)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:time"
         id="tmp-r-198a42ee-1500-408b-b906-431c40677daf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerformerBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9012
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:modeCode
Item: (CDAPerformerBody)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:modeCode"
         id="tmp-r-272b26b9-9f24-4528-af32-5c9a4b246bbd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerformerBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAPerformerBody): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16543 ParticipationMode (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16543-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAPerformerBody): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.16543 ParticipationMode (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9012
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity
Item: (CDAPerformerBody)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity"
         id="tmp-r-241c224c-0f0a-45ad-8d7b-66ba28b53eee">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="count(hl7:id)&gt;=1 ">(CDAPerformerBody): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="count(hl7:code)&lt;=1">(CDAPerformerBody): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="count(hl7:addr)&lt;=1">(CDAPerformerBody): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAPerformerBody): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9012-2014-04-03T162820.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAPerformerBody): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9003
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-r-7da52eee-33a3-4a43-9578-5899554c65f4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9003
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-r-a0f7b156-bd2b-4735-ad89-9b85341b9d2d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9003
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-r-aa39ee04-dfa9-424b-bdbc-5bb46ebd71b5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9003
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-afc8cde1-32c0-499f-9104-82f6efb981a4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9003
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-a0363abb-2f2f-4c7e-bf24-92df5e9f6649">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAAssignedEntity): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAAssignedEntity): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9001
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-09130c72-1c63-47bf-ac8b-4138b7352908">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9001-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9003
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-2a86cc13-806d-4820-a5c8-9ab546d43c46">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAAssignedEntity): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAAssignedEntity): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 ">(CDAAssignedEntity): element hl7:id[@root='2.16.528.1.1007.3.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(CDAAssignedEntity): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDAAssignedEntity): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="count(hl7:name)&lt;=1">(CDAAssignedEntity): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAAssignedEntity): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9003-2013-12-22T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAAssignedEntity): element hl7:standardIndustryClassCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (CDAOrganization)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-r-835d516e-8db0-48c3-bb39-e67a4a6370e7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.URA"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.3')">(CDAOrganization): de waarde van @root MOET '2.16.528.1.1007.3.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-r-f231220a-be17-4e2c-93f9-1870bfc25e21">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-c8667634-6088-4650-86d3-a7578269f536">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-fc705691-0128-4073-9bc0-ed0aa1aa6495">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-166b2925-c740-429e-9979-9eb58055bc23">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode"
         id="tmp-r-6600762e-c245-4575-89dd-c4530da95a0b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:participant[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]
Item: (gebb-EncounterActivity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:participant[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@typeCode)=('LOC')">(gebb-EncounterActivity): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.3']]
Item: (gebb-EncounterActivity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.3']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@typeCode)=('RSON')">(gebb-EncounterActivity): de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.1
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:entryRelationship
Item: (gebb-EncounterActivity)
-->
   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:entryRelationship">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.1-2013-12-31T000000.html"
              test="string(@typeCode)=('COMP')">(gebb-EncounterActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.4
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.1']/hl7:entryRelationship
Item: (gebb-EncounterDiagnosis)
--></pattern>
