<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.209
Name: KEZO Objective
Description: O-regel
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000">
   <title>KEZO Objective</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.209
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']]
Item: (kezo-Objective)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.209
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']
Item: (kezo-Objective)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']"
         id="tmp-r-4d7947f5-e0b9-4ddb-8b50-13abfc17168b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="string(@classCode)=('ACT')">(kezo-Objective): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="string(@moodCode)=('EVN')">(kezo-Objective): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.209'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']/@nullFlavor)">(kezo-Objective): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.209'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.209'])&lt;=1">(kezo-Objective): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.209'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="count(hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(kezo-Objective): element hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="count(hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(kezo-Objective): element hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(kezo-Objective): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="count(hl7:text)&lt;=1">(kezo-Objective): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(kezo-Objective): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(kezo-Objective): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.209
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']
Item: (kezo-Objective)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']"
         id="tmp-r-cbeb6df2-6721-4083-b13c-95cfb4e57b27">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Objective): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.209')">(kezo-Objective): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.209' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.209
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']/hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (kezo-Objective)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']/hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f32666e7-ceae-4ee2-8790-b6e6946369f5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Objective): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="@nullFlavor or (@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')">(kezo-Objective): de elementwaarde MOET een zijn van 'code '61149-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.209
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']/hl7:text
Item: (kezo-Objective)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']/hl7:text"
         id="tmp-r-512d8451-073d-4c66-afc8-79f7adea5520">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Objective): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.209
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']/hl7:statusCode[@code='completed']
Item: (kezo-Objective)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.209']/hl7:statusCode[@code='completed']"
         id="tmp-r-6e13d8a8-d9f7-4bcc-b906-405857de3a3d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Objective): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.html"
              test="@nullFlavor or (@code='completed')">(kezo-Objective): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
</pattern>
