<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Name: VZVZ Opleveren Labuitslagen
Description: Opleveren Labuitslagen 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000">
   <title>VZVZ Opleveren Labuitslagen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /
Item: (opleverenLabUitslagen)
-->

   <rule context="/" id="tmp-r-a2d2b862-7249-499b-a0b0-58a0612102cf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:POLB_IN364001NL02)&gt;=1 ">(opleverenLabUitslagen): element hl7:POLB_IN364001NL02 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:POLB_IN364001NL02)&lt;=1">(opleverenLabUitslagen): element hl7:POLB_IN364001NL02 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02"
         id="tmp-r-9c3b926e-6a6c-4bd5-b34a-445cb020193a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 ">(opleverenLabUitslagen): element hl7:ControlActProcess is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess"
         id="tmp-r-316d9430-4d3b-41de-b339-566bb8c333cd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenLabUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']])&gt;=1 ">(opleverenLabUitslagen): element hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]"
         id="tmp-r-ec616b18-26e4-45cf-bd01-2e4764c67f03">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&gt;=1 and not(hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/@nullFlavor)">(opleverenLabUitslagen): element hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&lt;=1">(opleverenLabUitslagen): element hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']"
         id="tmp-r-60b9157c-0477-494c-a832-946dc51e8bda">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@classCode)=('GROUPER')">(opleverenLabUitslagen): de waarde van @classCode MOET 'GROUPER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenLabUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/@nullFlavor)">(opleverenLabUitslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&lt;=1">(opleverenLabUitslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(opleverenLabUitslagen): element hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(opleverenLabUitslagen): element hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(opleverenLabUitslagen): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(opleverenLabUitslagen): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(opleverenLabUitslagen): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(opleverenLabUitslagen): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']"
         id="tmp-r-bad8863f-c990-465a-967c-86cf7353caa8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.6')">(opleverenLabUitslagen): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.6' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-41349c7e-3e6d-4aad-84bc-b91f1ffa4252">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@nullFlavor or (@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')">(opleverenLabUitslagen): de elementwaarde MOET een zijn van 'code '26436-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:statusCode[@code='completed']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:statusCode[@code='completed']"
         id="tmp-r-5e630216-28bb-4a91-b0b2-08cdc203babd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@nullFlavor or (@code='completed')">(opleverenLabUitslagen): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget"
         id="tmp-r-e943a2a1-dccd-495e-80e8-1f54f6a7c58d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@typeCode)=('RCT')">(opleverenLabUitslagen): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@contextControlCode)=('OP')">(opleverenLabUitslagen): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(opleverenLabUitslagen): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:patient)&lt;=1">(opleverenLabUitslagen): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget/hl7:patient
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget/hl7:patient"
         id="tmp-r-f2c9c4da-83ec-4733-8835-c9adaff95415">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@classCode)=('PAT')">(opleverenLabUitslagen): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(opleverenLabUitslagen): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(opleverenLabUitslagen): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-65d72758-fda6-44f1-b605-9eb2e3d9ef6f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(opleverenLabUitslagen): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@extension">(opleverenLabUitslagen): attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.203']]
Item: (opleverenLabUitslagen)
-->
   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.203']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@typeCode)=('COMP')">(opleverenLabUitslagen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20160114T122808/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@contextControlCode)=('OP')">(opleverenLabUitslagen): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
   </rule>
</pattern>
